<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.boman</groupId>
        <artifactId>boman</artifactId>
        <version>2.5.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>boman-web-core</artifactId>

    <dependencies>

        <!--阿里短信服务-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>4.5.22</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
            <version>1.0.0</version>
        </dependency>

        <!-- SpringCloud Ailibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Ailibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Ailibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Swagger UI -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>${swagger.fox.version}</version>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <!-- RuoYi Common DataSource -->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-common-datasource</artifactId>
        </dependency>

<!--         RuoYi Common DataScope-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-common-datascope</artifactId>
        </dependency>

<!--         RuoYi Common Log-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-common-log</artifactId>
        </dependency>

<!--         RuoYi Common Swagger-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-common-swagger</artifactId>
        </dependency>

        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>1.9.4</version>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.4</version>
        </dependency>

        <!--        远程调用 gen-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-api-gen</artifactId>
            <version>2.5.0-SNAPSHOT</version>
        </dependency>

        <!--        远程调用 system-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-api-system</artifactId>
            <version>2.5.0-SNAPSHOT</version>
        </dependency>

        <!--        远程调用 jflow-->
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-api-jflow</artifactId>
            <version>2.5.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.boman</groupId>
            <artifactId>boman-api-wechat</artifactId>
            <version>2.5.0-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>

    </dependencies>

    <build>
        <finalName>jiaoyuju-core</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>